{
  pkgs,
  lib,
  ...
}:
let
  packages = with pkgs; [ fastfetch ];
in
{
  services = {
    desktopManager.cosmic.enable = true;
    displayManager.cosmic-greeter.enable = true;
  };

  virtualisation.vmVariant.virtualisation = {
    memorySize = 8192;
    cores = 6;
  };

  environment.systemPackages = lib.lists.unique (packages);

  nix = {
    settings = {
      substituters = [
        "https://cosmic.cachix.org"
      ];
      trusted-public-keys = [
        "cosmic.cachix.org-1:Dya9IyXD4xdBehWjrkPv6rtxpmMdRel02smYzA85dPE="
      ];
    };
  };
}
