{
  description = "System Configuration @ cswimr 2024";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    cosmic.url = "github:lilyinstarlight/nixos-cosmic";
  };
  outputs =
    {
      self,
      nixpkgs,
      cosmic,
      ...
    }@inputs:
    let
      user = "nixos";
      system = "x86_64-linux";
    in
    {
      nixosConfigurations = {
        nixos = nixpkgs.lib.nixosSystem {
          system = system;
          specialArgs = {
            inherit inputs;
            system = system;
            hostname = "nixos";
            user = user;
          };
          modules = [
            # imports
            ../common.nix
            ./default.nix
            cosmic.nixosModules.default
          ];
        };
      };
    };
}
